QGIS Application - Bug report #15106
Layer panel: "Edit Symbol" does nothing if no symbol defined for a rule (in rule-based rendering)
2016-06-22 01:40 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23048
Description

Create a rule-based rendering mode and set no symbol to one of the rules
In the Layers panel, right-click on the "no-symbolized" rule and select "Edit Symbol"
Nothing happens.

I think it should pop-up a message that there's no symbol associated to the rule (or, more advanced, ask if you want to associate one
symbol and then open the corresponding dialog)

History

#1 - 2016-06-22 01:56 PM - Jiirgen Fischer
- Subject changed from Layers anel: "Edit Symbol" does nothing if no symbol defined for a rule (in rule-based rendering) to Layer panel: "Edit Symbol"
does nothing if no symbol defined for a rule (in rule-based rendering)

#2 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown

#4 - 2018-02-27 07:27 PM - Harrissou Santanna

- Affected QGIS version changed from 2.14.3 to 3.0.0
- Description updated
